$(function() {
    $(".sortByTime").live("click", function(e) {
        var table = $(this).parent().nextAll("table:first");
        var rows = table.children().children().get();
        rows.sort(function (a, b) {
            var keyA = $(a).children(".day_time_order").text();
            var keyB = $(b).children(".day_time_order").text();
            if (keyA < keyB) {
                return -1;
            }
            if (keyA > keyB) {
                return 1;
            }
            return 0;
        });
        $.each(rows, function (index, row) {
            table.append(row);
        });
        e.preventDefault();
    });
    $(".sortByPart").live("click", function(e) {
        var table = $(this).parent().nextAll("table:first");
        var rows = table.children().children().get();
        rows.sort(function (a, b) {
            var keyA = $(a).children(".day_part_order").text();
            var keyB = $(b).children(".day_part_order").text();
            if (keyA < keyB) {
                return -1;
            }
            if (keyA > keyB) {
                return 1;
            }
            return 0;
        });
        $.each(rows, function (index, row) {
            table.append(row);
        });
        e.preventDefault();
    });
    $("img.ajaxTree").live("click", function(e) {
        var img = $(this);
        var tr = img.parent().parent().parent();
        if (img.attr("src") === "data/minus_hr.gif") {
            tr.next().children().slice(1, 2).html("");
            img.attr("src", "data/plus_hr.gif");
        } else {
            var url = img.parent().attr("href");
            url = url.substring(url.lastIndexOf('/') + 1);
            tr.next().children().slice(1, 2).html(offline_data[url]);
            var img_size = 0.16*parseInt($("#size_form select").val());
            $("img.ajaxTree").css({"width": img_size, "height": img_size});
            img.attr("src", "data/minus_hr.gif");
        }
        e.preventDefault();
        e.stopPropagation();
    });
    $("#size_text").click(function (e) {
        $("#size_form").show().find("input[type=submit]").hide().end().find("select").change(function() {
            $("#size_form").hide();
            var size = $("#size_form select").val();
            $("#size_text").show().text(size + "%");
            $("div.content").css("font-size", size + "%");
            var img_size = 0.16*parseInt(size);
            $("img.ajaxTree").css({"width": img_size, "height": img_size});
        });
        $("#size_text").hide();
        e.preventDefault();
    });
    $("#size_form").hide();
    $("#size_text").show();
    $(".layout_screen").toggle($("#layout_text").text() == "screen");
    $(".layout_mobile").toggle($("#layout_text").text() == "mobile");
    function update_css() {
        if ($("#layout_text").text() == "screen") {
            $(".apply_mobile").addClass("apply_screen").removeClass("apply_mobile");
        }
        if ($("#layout_text").text() == "mobile") {
            $(".apply_screen").addClass("apply_mobile").removeClass("apply_screen");
        }
    };
    update_css();
    $("#layout_switch_screen").click(function (e) {
        $(".layout_screen").show();
        $(".layout_mobile").hide();
        $("#layout_text").text("screen");
        update_css();
        e.preventDefault();
    });
    $("#layout_switch_mobile").click(function (e) {
        $(".layout_mobile").show();
        $(".layout_screen").hide();
        $("#layout_text").text("mobile");
        update_css();
        e.preventDefault();
    });
    
    $("a.offline").live("click", function (e) {
        var url = this.href;
        url = url.substring(url.lastIndexOf('/') + 1);
        $("#search").hide();
        $("#data").html(offline_data[url]);
        var img_size = 0.16*parseInt($("#size_form select").val());
        $("img.ajaxTree").css({"width": img_size, "height": img_size});
        e.preventDefault();
    });
    $("#menu_search").click(function (e) {
        $("#search").show();
        $("#data").html("");
        e.preventDefault();
    });
    $("#search_submit").bind("click submit", function(e) {
        e.preventDefault();
        var texts = $(this).parents("form").find("input[type=text]").val().toLowerCase().split(" ");
        var tmp = document.createElement("DIV");
        var matches = 0;
        var html = '<table width="100%"><tbody>';
        for(var key in offline_data) {
            if (key.substr(0, 5) == 'paper') {
                paper = offline_data[key].toLowerCase();
                var match = true;
                $.each(texts, function(i, text) {
                    if (paper.indexOf(text) == -1) {
                        match = false;
                        return false;
                    }
                });
                if (match) {
                    tmp.innerHTML = offline_data[key];
                    var name = $(tmp).find("span.search_result_name").html();
                    if (name) {
                        matches += 1;
                        var time = $(tmp).find("span.search_result_time").html();
                        var html_link = $(tmp).find("span.search_result_html_link").html();
                        var html_extra = $(tmp).find("span.search_result_html_extra").html();
                        html += '<tr><td class="scip"><a href="'+key+'"><img src="data/plus_hr.gif" border="0" class="ajaxTree"></a></td><td class="scip" nowrap>'+time+'</td><td class="scip" nowrap>'+name+'</td><td class="scip" width="100%"><a class="offline" href="'+key+'">'+html_link+'</a>'+html_extra+'</td></tr><tr><td class="scip"></td><td class="scip" colspan="3"></td></tr>';
                        if (matches === 100) {
                            html = "<p>Search truncated to the first 100 matches.<p>" + html;
                            break
                        }
                    }
                }
            }
        }
        if (matches === 0) {
            html = "<p>Sorry, no results found.<p>";
        } else {
            html += "</tbody></table>";
        }
        $("#data").html(html);
        var img_size = 0.16*parseInt($("#size_form select").val());
        $("img.ajaxTree").css({"width": img_size, "height": img_size});
    });
    
    $("#data").html(offline_data.parts);
       
});
